User DDoS protection instance service 8 matching interfaces
List a page of user DDoS protection instances listUserADInstances
POST /UserADInstanceService/listUserADInstances
Definition file service_user_ad_instance.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc listUserADInstances ( ListUserADInstancesRequest ) returns ( ListUserADInstancesResponse );
Request message ListUserADInstancesRequestList a page of user DDoS protection instances
Request message · Field definitions Copy codemessage ListUserADInstancesRequest {
int64 adNetworkId = 1 ; // Route ID
int64 userId = 2 ; // User ID
int64 adPackagePeriodId = 3 ;
string expiresDay = 4 ;
bool availableOnly = 5 ; // Whether to query only valid DDoS protection instances
int64 offset = 6 ;
int64 size = 7 ;
}
Response message ListUserADInstancesResponse Response message · Field definitions Copy codemessage ListUserADInstancesResponse {
repeated UserADInstance userADInstances = 1 ;
}